/* Bootstrap documentation https://getbootstrap.com/docs/5.3/getting-started/introduction/ */
@import "https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css";

/* Link Color */
a.link {
  color: red;

}

a.link:hover {

  color: rgb(255, 98, 0);
}

a.link:visited{
  color: rgb(255, 0, 234);
}
/* Dropdown Menu */
.dropdown-item {
  color: var(--bs-nav-link-color);
}
.dropdown-item:hover {
  color: var(--bs-nav-link-hover-color);
  background-color: transparent;
}

.dropdown-item.active {
  color: var(--bs-white);
  background-color: transparent;
}
/* Profile Image */
.profile-img {
  width: 180px;
  border-radius: 10px;
}
/* Search */
.autoComplete_wrapper {
  width: 100% !important;
}

.autoComplete_wrapper > input {
  width: 100% !important;
}

#autoComplete_list_1 {
  overflow: hidden !important;
}

mark {
  padding: 0 !important;
}
/* Background */
.bg {
  background: radial-gradient(circle, #38f9d7, #6fffe9, #14fdd2, #14e6fd, #5bc0eb);
}

/* Makes navbar stick to top of screen for large non mobile devices */
@media only screen and (hover: hover) and (pointer: fine) and (min-width: 992px) {
  /* Allows Dropdown Menu To Be Hoverable */
  .dropdown:hover .dropdown-menu {
    display: block;
  }
  /* Allows Navbar To Stick To Top */
  .sticky {
    position: -webkit-sticky;
    position: sticky;
    top: 0;
    z-index: 1000;
  }
}
/* Extra Small Devices ( Portrait Phones 575.99px and down ) */
@media (max-width: 575.99px) {
  /* Error Page Height */
  .full-page {
    min-height: calc(100vh - 112px - 255px);
  }
}

/* Small devices (landscape phones, 576px and up) */
@media (min-width: 576px) {
  /* Border Radius  */
  .rounded-sm-top {
    border-top-left-radius: var(--bs-border-radius);
    border-top-right-radius: var(--bs-border-radius);
  }
  .rounded-sm-bottom {
    border-bottom-left-radius: var(--bs-border-radius);
    border-bottom-right-radius: var(--bs-border-radius);
  }
  /* Error Page Height */
  .full-page {
    min-height: calc(100vh - 112px - 231px - 2rem);
  }
}

/* Medium devices (tablets, 768px and up) */
@media (min-width: 768px) {
  /* Error Page Height */
  .full-page {
    min-height: calc(100vh - 112px - 183px - 2rem);
  }
}

/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) {
  /* Widths */
  .w-lg-25 {
    width: 25% !important;
  }
  .w-lg-50 {
    width: 50% !important;
  }
  .w-lg-75 {
    width: 75% !important;
  }
  .w-lg-100 {
    width: 100% !important;
  }
  /* Error Page Height */
  .full-page {
    min-height: calc(100vh - 112px - 76px - 2rem);
  }
}

/* X-Large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {
}

/* XX-Large devices (larger desktops, 1400px and up) */
@media (min-width: 1400px) {
}
